
Public Support - Support Request #10632

Ethernet data and CANFD reading using ADTF Streaming libraries

2020-03-01 20:34 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

 

Department: TP/EMD Affected Products: ADTF 2.13.3

Requester's Priority: Blocker Platform: Other Linux 64bit, Windows 10 64bit

Support Level: 2nd Level Topic: StreamingLib::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

We are working on Control software development(AUTOSAR architecture) at Daimler and we have data recorded from different

sensors(Radars & MPCs) using ADTF measurement.

We would like to extract data out of these dat files, data is present on the CANFD backbone and Ethernet backbone and we would

like to know which versions of ADTF streaming libs support CANFD and Ethernet extraction, we checked the ADTF streaming lib

2.6.1 and no support was mentioned for it.

We would like to know the following:

1. ADTF streaming lib versions that support CAN FD and Ethernet ?

2. Which compilers are used for building the above versions of ADTF streaming lib for linux and Windows ?

3. Does the Streaming Libs also support AUTOSAR toolchain ?

Lösung

We would like to extract data out of these dat files, data is present on the CANFD backbone and Ethernet backbone and we

would like to know which versions of ADTF streaming libs support CANFD and Ethernet extraction, we checked the ADTF

streaming lib 2.6.1 and no support was mentioned for it.

 Note that Streaming Library 2.6.1 is basically very old (2.9.0 is latest) and the library itself is replaced by ADTF File Library to also

work in ADTF 3.x.

With both libraries it is possible to work with the data blocks within a (adtf)dat file.

But if you talking about "extract" what is your upcoming purpose ?

Do you need the data in a file or do you want to process the data within a code ?

ADTF provides a datexporter (also as command line tool) to export data e.g. to csv, mdf and other formats.

There is no out of the file format for ethernet, only csv.

CAN FD is completely not available in ADTF 2.x because it is not part of our delivered types, only CAN.

As far as I know there is only a solution from XKrug so maybe they also have a datexporter sink for that.

1. ADTF streaming lib versions that support CAN FD and Ethernet ?

 There is no support for these types, you have to handle the binary block and reinterpret for your needs

2. Which compilers are used for building the above versions of ADTF streaming lib for linux and Windows ?

 Whole ADTF 2.x universe based on VC90/VC100 on Windows and gcc 4.7/4.8 Linux

3. Does the Streaming Libs also support AUTOSAR toolchain ?

 I don't really understand what you mean by "AUTOSAR toolchain". Are you talking about arxml ?
The Streaming Library is a library to handle dat files fopr read/write access, mostly to postprocess data.

History

#1 - 2020-03-02 08:39 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to StreamingLib::Common

#2 - 2020-03-02 14:31 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Mahesh,

We would like to extract data out of these dat files, data is present on the CANFD backbone and Ethernet backbone and we would like to know

which versions of ADTF streaming libs support CANFD and Ethernet extraction, we checked the ADTF streaming lib 2.6.1 and no support was

mentioned for it.

 Note that Streaming Library 2.6.1 is basically very old (2.9.0 is latest) and the library itself is replaced by ADTF File Library to also work in ADTF 3.x.

With both libraries it is possible to work with the data blocks within a (adtf)dat file.

But if you talking about "extract" what is your upcoming purpose ?

Do you need the data in a file or do you want to process the data within a code ?

ADTF provides a datexporter (also as command line tool) to export data e.g. to csv, mdf and other formats.

There is no out of the file format for ethernet, only csv.

CAN FD is completely not available in ADTF 2.x because it is not part of our delivered types, only CAN.

As far as I know there is only a solution from XKrug so maybe they also have a datexporter sink for that.

1. ADTF streaming lib versions that support CAN FD and Ethernet ?

 There is no support for these types, you have to handle the binary block and reinterpret for your needs

2. Which compilers are used for building the above versions of ADTF streaming lib for linux and Windows ?

 Whole ADTF 2.x universe based on VC90/VC100 on Windows and gcc 4.7/4.8 Linux

3. Does the Streaming Libs also support AUTOSAR toolchain ?

 I don't really understand what you mean by "AUTOSAR toolchain". Are you talking about arxml ?

The Streaming Library is a library to handle dat files fopr read/write access, mostly to postprocess data.

#3 - 2020-03-05 04:29 - hidden

Hi Florian,

I'll be following up on this discussion from now on.

But if you talking about "extract" what is your upcoming purpose?

 We've in-house built Tool were we use ADTF dat files as input and extract CAN signals to further analysis.

In past we used DBC files to interpret CAN data blocks into CAN signals.

So now our ECU software is moving to new AUTOSAR compliant architecture, Instead of DBC's we get ARXML.

How can we use ARXML files to interpret CAN FD Blocks and Ethernet blocks from ADTF dat file into respective signals?

Do you need the data in a file or do you want to process the data within a code?

 As I've explained above We need data within code for processing

I don't really understand what you mean by "AUTOSAR toolchain". Are you talking about arxml ?

 Yes, Can we use ADTF Streaming Libs & ADTF DevEn with arxml to  interpret CAN FD Blocks and Ethernet blocks?

Regards
Sharath

#6 - 2020-03-06 12:59 - hidden

Hi Florian,

But if you talking about "extract" what is your upcoming purpose?

 We've in-house built Tool were we use ADTF dat files as input and extract CAN signals to further analysis.

In past we used DBC files to interpret CAN data blocks into CAN signals.

So now our ECU software is moving to new AUTOSAR compliant architecture, Instead of DBC's we get ARXML.

How can we use ARXML files to interpret CAN FD Blocks and Ethernet blocks from ADTF dat file into respective signals?

Do you need the data in a file or do you want to process the data within a code?

 As I've explained above We need data within code for processing

I don't really understand what you mean by "AUTOSAR toolchain". Are you talking about arxml ?

 Yes, Can we use ADTF Streaming Libs & ADTF DevEn with arxml to interpret CAN FD Blocks and Ethernet blocks?

-Mahesh

#7 - 2020-03-09 08:45 - hidden

- Resolution set to Not Supported Scope

Hi folks,

We've in-house built Tool were we use ADTF dat files as input and extract CAN signals to further analysis.

In past we used DBC files to interpret CAN data blocks into CAN signals.

So now our ECU software is moving to new AUTOSAR compliant architecture, Instead of DBC's we get ARXML.

How can we use ARXML files to interpret CAN FD Blocks and Ethernet blocks from ADTF dat file into respective signals?

 ADTF 2.x itself has neither support for CAN FD (only CAN) nor an arxml parser (only dbc).

Imho you can ask XKrug for CAN FD Support and Elektrobit for arxml parser.

Then you can extend Streaming Library with both support services to fulfill your changed toolchain.

The specific support of each company may help you.

In this case its outside of our supported range.

The only solution we can offer is changing to ADTF File Library >= 0.6.1, using CAN FD support coming with Device Toolbox 3.2.0 (in the making)

and writing an own arxml parser compatible with Device TB 3.2.0 or order a implementation here

#8 - 2020-03-13 11:04 - hidden

Hi Florian,

Thank you for the information, we would like to explore the options you mentioned, particularly the ADTF File Library(0.6.1).

We looked into the repository for ADTF File library but couldn't understand which package we should be using as a start point to read, process and

hold the binary data blocks of a .dat file.

Below were the packages, please provide us some insight or documentation which explain the uses and usecases of these packages:

a_util_5.6.0 --> ?

ddl_4.4.0 --> ?

ifhd_0.6.1 --> ?

Could you also please provide any sample examples of ADTF File library code(similar to ADTF streaming lib examples), which can be built and used

within our Code base(tool).

-Mahesh

#9 - 2020-03-13 11:26 - hidden

Hi Mahesh
ADTF File Library = IFHD

It will work standalone.

If you want to develop, you need the dependencies (ddl, utils).

Thats why its all together.

Have a look at the documentation about dependencies and examples, they are same as in Streaming Library.

https://support.digitalwerk.net/adtf_libraries/adtf-file-library/v0/html/index.html

And you can look in the complete source code as well.

Note: You do not have to rebuild the ifhd, ddl oder autil, just use the packages as API.

#11 - 2020-03-23 09:42 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#12 - 2020-07-07 16:17 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

#13 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed
